Login  |  Packages  |  Support  |  Bugs
Top Level :: Networking :: amqp :: 1.10.0

amqp 1.10.0

Package Information
Summary Communicate with any AMQP compliant server
Maintainers Lars Strojny < lstrojny at php dot net > (lead) [wishlist] [details]
Bogdan Padalko (developer) [details]
Pieter de Zwart (lead) [details]
License PHP License
Description This extension can communicate with any AMQP spec 0-9-1 compatible server, such as RabbitMQ, OpenAMQP and Qpid, giving you the ability to create and delete exchanges and queues, as well as publish to any exchange and consume from any queue.
Homepage https://github.com/php-amqp/php-amqp
Release notes
Version 1.10.0
(stable)
- Adding global prefetch support (#366) (Terence Marks <tezmarks@gmail.com>) (https://github.com/pdezwart/php-amqp/issues/367)
- Fix minimal librabbitmq in config.m4 and readme (Remi Collet <remi@remirepo.net>) (https://github.com/pdezwart/php-amqp/issues/347)
- Support connection_name parameter for custom connection names in RabbitMQ (Alexandr Zolotukhin <supersmile2009@gmail.com>) (https://github.com/pdezwart/php-amqp/issues/363)
- Fixed build on Travis CI (Alexandr Zolotukhin <supersmile2009@gmail.com>) (https://github.com/pdezwart/php-amqp/issues/365)
- Make use of rpc_timeout in newer librabbitmq by introducing new constructor hash parameter (modulatix <oleg.pereverzev@gmail.com>) (https://github.com/pdezwart/php-amqp/issues/334)
- Fix #355: Compile failure on php 7.4 (Christoph M. Becker <cmbecker69@gmx.de>) (https://github.com/pdezwart/php-amqp/issues/359)
- Update amqp_type.c (Pawe? Miko?ajczuk <pawel@mikolajczuk.in>) (https://github.com/pdezwart/php-amqp/issues/360)
- Build against PHP 7.4 (Carlos Barrero <carlos.barrero@spotahome.com>) (https://github.com/pdezwart/php-amqp/issues/361)
- Pass params by value in AMQPConnection::__construct() (Sergei Karpov) (https://github.com/pdezwart/php-amqp/issues/346)
- Fix explicit null-string for $routing_key in Queue::bind() and Exchange::publish() (Sergei Karpov) (https://github.com/pdezwart/php-amqp/issues/341)
- No longer limited to PHP 5 (Lars Strojny <lars.strojny@internations.org>) (https://github.com/pdezwart/php-amqp/issues/0)
- Fix minimal version to 5.6 (Remi Collet <remi@famillecollet.com>) (https://github.com/pdezwart/php-amqp/issues/338)
- Back to dev (Lars Strojny <lars.strojny@internations.org>) (https://github.com/pdezwart/php-amqp/issues/1)

For a complete list of changes see:
https://github.com/pdezwart/php-amqp/compare/v1.9.4...v1.10.0

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source ] [ Package Bugs ]

Dependencies for release 1.10.0
PHP Version: PHP 5.6.0 or newer
PEAR Package: PEAR 1.4.0 or newer
PRIVACY POLICY  |  CREDITS
Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Jun 01 07:05:01 2020 UTC
Bandwidth and hardware provided by: pair Networks